import lateAfternoonUrl from "./assets/photography/late_afternoon.webp"
import martyrdomUrl from "./assets/photography/martyrdom.webp"
import heatUrl from "./assets/photography/heat.webp"

interface Photo {
  title: string
  altText: string
  date: string
  description: string
  url: string
}

export const photos: Photo[] = [
  {
    title: "Late afternoon",
    altText: "A red house in London",
    date: "2019",
    description: "65 Curzon Street, Mayfair, London",
    url: lateAfternoonUrl
  },
  {
    url: martyrdomUrl,
    title: "Martyrdom",
    altText: "A church on a vineyard",
    date: "2019",
    description: "The Sankt-Laurentius church by the Mosel river in Bremm (Germany)."
  },
  {
    url: heatUrl,
    title: "Heat",
    altText: "An orange passageway with windows on all walls",
    date: "2022",
    description: "A passageway in Venice."
  }
]

const META_KEYWORDS = ["web", "dev", "development", "coding", "moritz", "ruth", "development", "design", "kotlin", "android", "photography", "matrix"]

export const getKeywordsWithBase = (keywords: string[]) => [...new Set([...META_KEYWORDS, ...keywords])]
export const getKeywordsTagWithBase = (keywords: string[]) => ({
  name: "keywords",
  content: getKeywordsWithBase(keywords).join(", ")
})
